Package org.jfree.layouting

## Class AbstractLayoutProcess.AbstractLayoutProcessState

- java.lang.Object
- - org.jfree.layouting.AbstractLayoutProcess.AbstractLayoutProcessState

- All Implemented Interfaces:
    `LayoutProcessState`
  Direct Known Subclasses:
    `DefaultLayoutProcess.DefaultLayoutProcessState`
  Enclosing class:
    AbstractLayoutProcess

      protected abstract static class AbstractLayoutProcess.AbstractLayoutProcessState
      extends java.lang.Object
      implements LayoutProcessState

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractLayoutProcessState​(AbstractLayoutProcess lp)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected AbstractLayoutProcess` | `restore​(OutputProcessor outputProcessor, AbstractLayoutProcess layoutProcess)` |

    - ### Methods inherited from interface org.jfree.layouting.LayoutProcessState

      `restore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractLayoutProcessState

          protected AbstractLayoutProcessState​(AbstractLayoutProcess lp)
                                        throws StateException

      Throws:
        `StateException`

  - ### Method Detail

    - #### restore

          protected AbstractLayoutProcess restore​(OutputProcessor outputProcessor,
                                                  AbstractLayoutProcess layoutProcess)
                                           throws StateException

      Throws:
        `StateException`